apt: metaIndex Class Reference

apt 3.3.3 commandline package manager

Classes | Public Member Functions | Protected Attributes | List of all members
metaIndex Class Referenceabstract
Inheritance diagram for metaIndex:

## Classes
struct | checkSum

## Public Member Functions
std::string | GetURI () const
std::string | GetDist () const
const char * | GetType () const
TriState | GetTrusted () const
std::string | GetSignedBy () const
std::string | GetOrigin () const
std::string | GetLabel () const
std::string | GetVersion () const
std::string | GetCodename () const
std::string | GetSuite () const
std::string | GetReleaseNotes () const
signed short | GetDefaultPin () const
bool | GetSupportsAcquireByHash () const
time_t | GetValidUntil () const
time_t | GetDate () const
virtual time_t | GetNotBefore () const =0
void | SetFlag (Flag flag) APT_HIDDEN
std::string | GetExpectedDist () const
bool | CheckDist (std::string const &MaybeDist) const
virtual std::string | Describe () const
virtual std::string | ArchiveURI (std::string const &File) const =0
virtual bool | GetIndexes (pkgAcquire *Owner, bool const &GetAll=false)=0
virtual std::vector< IndexTarget > | GetIndexTargets () const =0
virtual std::vector< pkgIndexFile * > * | GetIndexFiles ()=0
virtual bool | IsTrusted () const =0
virtual bool | Load (std::string const &Filename, std::string *const ErrorText)=0
bool | Load (std::string *const ErrorText)
virtual metaIndex * | UnloadedClone () const =0
void | swapLoad (metaIndex *const OldMetaIndex)
checkSum * | Lookup (std::string const &MetaKey) const
bool | Exists (std::string const &MetaKey) const
| tests if a checksum for this file is available
std::vector< std::string > | MetaKeys () const
TriState | GetLoadedSuccessfully () const
virtual pkgCache::RlsFileIterator | FindInCache (pkgCache &Cache, bool const ModifyCheck) const
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) const
| metaIndex (std::string const &URI, std::string const &Dist, char const *const Type)
virtual bool | IsArchitectureSupported (std::string const &arch) const
virtual bool | IsArchitectureAllSupportedFor (IndexTarget const &target) const
virtual bool | HasSupportForComponent (std::string const &component) const

## Protected Attributes
std::vector< pkgIndexFile * > * | Indexes
const char * | Type
std::string | URI
std::string | Dist
TriState | Trusted
std::string | SignedBy
std::string | Suite
std::string | Codename
std::string | Origin
std::string | Label
std::string | Version
signed short | DefaultPin
std::string | ReleaseNotes
time_t | Date
time_t | ValidUntil
bool | SupportsAcquireByHash
std::map< std::string, checkSum * > | Entries
TriState | LoadedSuccessfully

## Member Function Documentation

## ◆ Load()

virtual bool Load | ( | std::string const & | Filename,
|  | std::string *const | ErrorText )
| pure virtual

Implemented in debReleaseIndex.

## ◆ UnloadedClone()

virtual metaIndex * UnloadedClone | ( |  | ) | const
| pure virtual

Returns
  a new metaIndex object based on this one, but without information from Load

Implemented in debReleaseIndex.

References Exists().

The documentation for this class was generated from the following files:

- apt-pkg/metaindex.h
- apt-pkg/metaindex.cc